Package org.apache.sling.query.impl.resource.jcr.query

## Class Formula

- java.lang.Object
- - org.apache.sling.query.impl.resource.jcr.query.Formula

All Implemented Interfaces:
  `Term`

    public class Formula
    extends Object
    implements Term

### Nested Class Summary

Nested Classes
`static class` `Formula.Operator`

### Constructor Summary

Constructors
`Formula​(Formula.Operator operator, List<Term> conditions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `buildString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Formula

    public Formula​(Formula.Operator operator,
                   List<Term> conditions)

### Method Detail

#### buildString

    public String buildString()

Specified by:
  `buildString` in interface `Term`